package com.agiledeveloper.sample;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class SampleController {
  private RemoteClient remoteClient;

  public SampleController(RemoteClient remoteClient) {
    this.remoteClient = remoteClient;
  }

  @GetMapping("/check")
  public String getInfo() {
    return remoteClient.getData();
  }
}
