package com.agiledeveloper.sample;

import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

@Component
public class RemoteClient {

  private final RestTemplate restTemplate;

  public RemoteClient(RestTemplate restTemplate) {
    this.restTemplate = restTemplate;
  }

  public String getData() {
    return restTemplate.getForObject("https://httpstat.us/200?sleep=1000", String.class);
  }
}
